/*
 * audio_decoder_mp3_http.h: The mp3 decoder via http
 *
 * See the README file for copyright information and how to reach the author.
 *
 * $Id: audio_decoder_mp3_http.h 256 2009-03-31 22:59:57Z hitman_47 $
 */

#ifndef __AUDIO_DECODER_MP3_HTTP_H
#define __AUDIO_DECODER_MP3_HTTP_H

#include <string.h>
#include <stdlib.h>
#include "audio_decoder_mp3.h"
#include <Sockets/SocketHandler.h>
#include <Sockets/HttpGetSocket.h>

class cHttpMp3Decoder : public cMp3Decoder, public HttpGetSocket
{
public:
	cHttpMp3Decoder(ISocketHandler &);
	virtual ~cHttpMp3Decoder();
private:
	virtual unsigned long GetDataFromSource(uint8_t * data, const unsigned long count);
	virtual void OnRead(void);
	virtual void OnDelete();
	virtual std::string MyUseragent(void);
	cSimpleRingBuffer * mo_NETBuffer;
};

#endif // __AUDIO_DECODER_MP3_HTTP_H
