// General
#define PLUGIN_NAME "VDR-LASTFM"
/*
 * Before releasing, unset DEBUGFLAGS in Makefile!
 */
#define PLUGIN_VERSION "0.2.5-svn"

// web_serviceconnector
#define AUDIOSCROBBLER_CLIENTID "vdr"
#define AUDIOSCROBBLER_CLIENTVERSION "0.1"
#define HTTPGET_MAXSIZE 120000 /** Bytes (XML data can be big) */
#define AUDIOSCROBBLER_DOMAIN "ws.audioscrobbler.com"
#define AUDIOSCROBBLER_BASEPATH "/radio"
#define AUDIOSCROBBLER_BASEPATH_WEBSVCS "/2.0/"
#define AUDIOSCROBBLER_POST_DOMAIN "post.audioscrobbler.com"
#define AUDIOSCROBBLER_PORT 80
#define AUDIOSCROBBLER_PROTOCOLVER "1.2"
#define APIKEY "e0e0b4f1087241330ec23cb921da1f59"
#define APISECRET "a185973f1fd2ebe3cd631eb1afa86e62"

// audio_player
#define PLAYER_BUFSIZE (100000)  /** cFrameRingBuffer */
#define MAX_FRAME_PAYLOAD 2000
#define POLLTIMEOUT (1000 / (128000 / MAX_FRAME_PAYLOAD) )
#define PLAYER_FAILURETIMEOUTINTERVAL 5                                 // in seconds
#define NET_READBUFFSIZE 2048
//////#define SOCKETS_SELECT_MS (1000 / (128000 / MAX_FRAME_PAYLOAD) )        // Refresh cycle in Thread; datarate@17.05 kB/s
//////#define SOCKETS_SELECT_MS (17050/(READBUFFSIZE/1)*1000)
#define SOCKETS_SELECT_US 1000

// audio_decoder
//
// is this correct ? (channels * 1152 * sample size)
#define OUTPUT_BUFFER_SIZE (2 * 1152 * 2)
#define PCM_SAMPLERATE 44100
#define PCM_CHANNELS 2
#define PCM_BUFFER_SIZE (PLAYER_BUFSIZE)
#define READBUFFSIZE 2048                       // buffersize in audio_mp3decoder.h for readbuffer
#define NET_BUFFER_SIZE (1300000)

//
#define MAXIMUM_THREADKILLTIME 3 // cancel timeout in seconds

// audio_playlist
#define GETPLAYLIST_DELAY 4

// Setup
#define SETUP_CONFIGFILE_XML "lastfm_config.xml"

// Favourites
#define SEARCHWORD_MAXSIZE 511

